# Verify CVC2
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/card-lifecycle/verify-cvc2/index.md

## Overview {#overview}

The use case describes the process to verify the CVC2 of the specified card contract `Plastic` using a dedicated API endpoint.

## Sequence diagram {#sequence-diagram}

Diagram verify-cvc2

### Explanation {#explanation}

1. The server sends a `POST` request to the `/cards/card_contract_id}/card-verification-codes/verifications` endpoint passing the required fields `cardExpiryDate` (to identify the correct `Plastic`) and `cardVerificationCode` in the request body.
2. The API searches the CMS for data from the request, and if there is a match, the API returns HTTP `200` with the `CVC2_CORRECT` value in the `verificationResult` field in the response body. Otherwise, the `CVC2_NOT_CORRECT` value is returned in the `verificationResult` field in the response body. Tip: If there is no `card_contract_Id` matching the requested `cardExpiryDate`, the API returns an HTTP `404` error with the `INVALID_EXPIRY_DATE` value in the `reasonCode` field. Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/card-lifecycle-management/verify-cvc2/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `POST /cards/{card_contract_id}/card-verification-codes/verifications`

